package com.neusoft.smart.pos.trade.persistent.mapper;

import com.neusoft.smart.pos.trade.persistent.domain.BillDetail;
import com.neusoft.smart.pos.trade.persistent.domain.BillDetailExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BillDetailMapper {
    int countByExample(BillDetailExample example);

    int deleteByExample(BillDetailExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BillDetail record);

    int insertSelective(BillDetail record);

    List<BillDetail> selectByExample(BillDetailExample example);

    BillDetail selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BillDetail record, @Param("example") BillDetailExample example);

    int updateByExample(@Param("record") BillDetail record, @Param("example") BillDetailExample example);

    int updateByPrimaryKeySelective(BillDetail record);

    int updateByPrimaryKey(BillDetail record);

    void batchInsert(@Param("items") List<BillDetail> items);
}